Summary: A GNU general-purpose parser generator.
Name: bison
Version: 1.28
Release: 4mdk
Copyright: GPL
Group: Development/Other
Source: ftp://prep.ai.mit.edu/pub/gnu/bison-%{version}.tar.bz2
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root
Prefix: %{_prefix}

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%prep
%setup -q

%build
#./configure --prefix=/usr

CFLAGS=$RPM_OPT_FLAGS %configure --datadir=/%{_prefix}/lib
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{_prefix}/ datadir=$RPM_BUILD_ROOT/%{_prefix}/lib
# bzip2 -9f $RPM_BUILD_ROOT/%{_prefix}/info/bison.info*
# strip $RPM_BUILD_ROOT/%{_prefix}/bin/*

# find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
# |cut -d: -f1|xargs bzip2 -9
for i in $(find $RPM_BUILD_ROOT/%{_prefix}/man/ -type 'l');do
 	TO=$(/bin/ls -l $i|awk '{print $NF}')
	ln -sf $TO.bz2 $i && mv $i $.bz2
done
# for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
#     file $i|grep -q "not stripped" && strip $i
# done

%post
/sbin/install-info /%{_prefix}/info/bison.info.bz2 /%{_prefix}/info/dir --entry="* bison: (bison).                        The GNU parser generator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /%{_prefix}/info/bison.info.bz2 /%{_prefix}/info/dir --entry="* bison: (bison).                        The GNU parser generator."
fi

%files
%defattr(-,root,root)
/%{_prefix}/man/*/*
/%{_prefix}/lib/*
/%{_prefix}/info/bison.info*
/%{_prefix}/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com> 1.28-4mdk
- spec-helper
- group update

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- version 1.28 :

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bziped info files.
- Handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

